Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.codegen
Class MethodGenerator

    java.lang.Object
      uchicago.src.codegen.MethodGenerator

All Implemented Interfaces:
  CodeGenerator

    public class MethodGenerator

extends java.lang.Object
implements CodeGenerator

Field Summary

Fields inherited from interface uchicago.src.codegen.CodeGenerator
`I_SPACES`

Constructor Summary
`MethodGenerator(java.lang.String scope, java.lang.String name, java.lang.String retVal, java.lang.String excep)`

Method Summary
`void` | `add(java.lang.String name, java.lang.Object o)`
`void` | `addArg(ArgGenerator arg)`
`void` | `addArg(java.lang.String name, java.lang.String type)`
`void` | `addToBody(java.lang.String body)`
`java.lang.String` | `generate(int ident)`
`void` | `setBody(BodyGenerator b)`
`void` | `setBody(java.lang.String body)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodGenerator

    public MethodGenerator(java.lang.String scope,
                           java.lang.String name,
                           java.lang.String retVal,
                           java.lang.String excep)

Method Detail

### setBody

    public void setBody(java.lang.String body)

### setBody

    public void setBody(BodyGenerator b)

### addArg

    public void addArg(java.lang.String name,
                       java.lang.String type)

### addArg

    public void addArg(ArgGenerator arg)

### addToBody

    public void addToBody(java.lang.String body)

### add

    public void add(java.lang.String name,
                    java.lang.Object o)

  Specified by:
    `add` in interface `CodeGenerator`

### generate

    public java.lang.String generate(int ident)

  Specified by:
    `generate` in interface `CodeGenerator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD